<< isfir | FOSSEE_Signal_Processing_Toolbox | ismaxphase >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > islinphase

# islinphase

Determine whether a filter has linear phase.

### Syntax

    flag = islinphase(b, a)
    flag = islinphase(sos)
    flag = islinphase(..., tol)

### Parameters

b:

  Numerator coefficients of the filter.

a:

  Denominator coefficients of the filter.

sos:

  K x 6 second-order section matrix.

tol:

  (optional) Tolerance for phase response similarity. Default is 0.

### Description

The `islinphase` function determines whether a filter has linear phase. It returns `flag = 1` if the filter is linear phase, otherwise it returns `flag = 0`.

- When called with `b` and `a`, the function checks the linear phase property of the filter defined by these coefficients. - When called with `sos`, the function checks the linear phase property of the filter defined by the second-order section matrix. - The optional `tol` parameter specifies the tolerance for phase response similarity.

### Examples

    flag = islinphase([0, 1, 2, 2, 1, 0], 1)

### Authors

- Parthasarathi Panda ( parthasarathipanda314@gmail.com )

Report an issue
<< isfir | FOSSEE_Signal_Processing_Toolbox | ismaxphase >>